<?php 

/* 

Template Name: Archives 

*/ 

?>

<?php get_header(); ?>

<?php /* Counts the posts, comments and categories on your blog */
	$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
	if (0 < $numposts) $numposts = number_format($numposts); 
	
	$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	if (0 < $numcomms) $numcomms = number_format($numcomms);
	
	$numcats = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->categories");
	if (0 < $numcats) $numcats = number_format($numcats);
?>

<div id="topcontent" class="clearfix">
	<div id="singlecontent">
	<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
		<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<div class="entry">
			<?php the_content(); ?>
			</div>
		</div>
	<p class="entry">Through this page, you will be able to move down into the archives by way of a 'live' archive, keyword search via site tags, or the tried-and-true top-down archive list.</p> 

	<p class="entry">If you are looking for something more specific, check the tag list as it will track multiple ideas across unifying tags, or alternatively try the <a href="javascript:Effect.Combo('shelf', {duration: 0.5});" title="Search">search</a> tool in the shelf...</p>

	<?php if (function_exists('af_ela_super_archive')) { ?>

	<h2>Super Archives</h2>
	<p class="entry">This is a 'live archive', which allows you to 'dig' into the <strong><?php bloginfo('name'); ?></strong> repository in a fast an efficient way, without having to reload this page as you explore.</p> 

	<p class="entry">You can select any one month to view the entries - this is a particularly rapid way to locate a specific post.</p>
	<?php } ?>

	<?php if (function_exists('af_ela_super_archive')) {af_ela_super_archive();} ?>
	<div class="clear"></div>
	<h2>Archives TagCloud</h2>
	<p class="entry">Unstructured tagging achieved thanks to the awesome work behind <a 	href="http://www.neato.co.nz/ultimate-tag-warrior">Ultimate Tag Warrior</a>. Heavier tags signify the frequency at 	which posts are made in that particular keyword genre. Lighter tags are grey with envy signifying they want more 	exposure.</p>
	<br />
	
	<div id="tagcloud">
	<?php UTW_ShowWeightedTagSetAlphabetical("coloredsizedtagcloud","",0) ?>
	</div>


	</div>
	
	<div id="home_links">
	<h2>The <span>Archives</span></h2>
	<ul id="home_linkage">
	<li><br />The archives span <strong><?php echo $numposts; ?></strong> entries, within <strong><?php echo $numcats; ?></strong> 	categories and over <strong><?php echo $numcomms; ?></strong> responses.
	</li></ul>
	</div>
	
<?php endwhile; else: ?>
<?php endif; ?>	
</div>
</div><!-- close #top -->

<?php include("bottomblock.php"); ?>